Package org.apache.qpid.proton.engine.impl

# Class RecordImpl

java.lang.Object
org.apache.qpid.proton.engine.impl.RecordImpl

All Implemented Interfaces:
  `Record`

public class RecordImpl extends Object implements Record
RecordImpl

## Constructor Summary

Constructors
Constructor
Description
`RecordImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`<T> T`
`get(Object key, Class<T> klass)`
`<T> void`
`set(Object key, Class<T> klass, T value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecordImpl

public RecordImpl()

## Method Details

### set

public <T> void set(Object key, Class<T> klass, T value)

Specified by:
  `set` in interface `Record`

### get

public <T> T get(Object key, Class<T> klass)

Specified by:
  `get` in interface `Record`

### clear

public void clear()

Specified by:
  `clear` in interface `Record`